CREATE TABLE IF NOT EXISTS `wehams_df_z_modell_multi_id` (
        `altervon` integer NOT NULL,
        `bhdmin` integer,
        `dfartid` TEXT,
        `dfbartid` integer NOT NULL,
        `eigentid` integer NOT NULL,
        `id` integer NOT NULL,
        `jahr` integer NOT NULL,
        `land` integer NOT NULL,
        `lauf` integer NOT NULL,
        `mittelhöhe` FLOAT,
        `periode` integer,
        `reduktionsfaktor` FLOAT,
        `toleranz` FLOAT,
        `typ_sgv` TEXT,
        `vorrat_id_fk` integer,
        `zielst_bhd` integer,
        `zielst_eproz` FLOAT,
        PRIMARY KEY (`id`),
        FOREIGN KEY (`dfartid`) REFERENCES wehamm_dfart (`dfartid`),
        FOREIGN KEY (`dfbartid`) REFERENCES wehamm_x_bawehamdf (`id`),
        FOREIGN KEY (`eigentid`) REFERENCES wehamm_x_egwehamdf (`id`),
        FOREIGN KEY (`land`) REFERENCES wehamm_x_bl (`icode`),
        FOREIGN KEY (`lauf`) REFERENCES x_lauf (`id`),
        FOREIGN KEY (`typ_sgv`) REFERENCES wehamm_df_typ_sgv (`dftypid`),
        FOREIGN KEY (`vorrat_id_fk`) REFERENCES wehamm_df_modelle (`vorratid`)
);
